Package org.apache.tapestry5.internal.services

## Class ContextValueEncoderImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.ContextValueEncoderImpl

- All Implemented Interfaces:
    `ContextValueEncoder`

      public class ContextValueEncoderImpl
      extends java.lang.Object
      implements ContextValueEncoder

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextValueEncoderImpl​(ValueEncoderSource valueEncoderSource)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toClient​(java.lang.Object value)` | Converts a context value into a client-side string (that will ultimately be encoded into a URL).
    `<T> T` | `toValue​(java.lang.Class<T> requiredType, java.lang.String clientValue)` | Converts a client value back into a server-side object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextValueEncoderImpl

          public ContextValueEncoderImpl​(ValueEncoderSource valueEncoderSource)

  - ### Method Detail

    - #### toClient

          public java.lang.String toClient​(java.lang.Object value)

      Description copied from interface: `ContextValueEncoder`
      Converts a context value into a client-side string (that will ultimately be encoded into a URL).
      Specified by:
        `toClient` in interface `ContextValueEncoder`
      Parameters:
        `value` - to convert (may not be null)
      Returns:
        string representation of the value
      See Also:
        `ValueEncoder.toClient(Object)`

    - #### toValue

          public <T> T toValue​(java.lang.Class<T> requiredType,
                               java.lang.String clientValue)

      Description copied from interface: `ContextValueEncoder`
      Converts a client value back into a server-side object.
      Specified by:
        `toValue` in interface `ContextValueEncoder`
      Parameters:
        `requiredType` - required type to convert the string to
        `clientValue` - value obtained from context passed from client
      Returns:
        the client value converted or coerced into a server value
      See Also:
        `ValueEncoder.toValue(String)`